### Method

# Gtk TreeModelget_string_from_iter

deprecated: 4.10

#### Declaration [src]

    char*
    gtk_tree_model_get_string_from_iter (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Generates a string representation of the iter.

This string is a “:” separated list of numbers. For example, “4:10:0:3” would be an acceptable return value for this string.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A newly-allocated string.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.